opencart mysql_connect(): The mysql extension is deprecated的解决办法

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in D:\www\opc\system\database\mysql.php on line 6。

这个opencart错误 经常出现在opencart老版本(opencart1.5.4)上,php的版本为php5.5以上,就会出现这个错误。

这个opencart错误的解决办法是下载http://www.opencart.com/index.php?route=extension/extension/info&extension_id=24413这个插件,然后解压到一个mysqliz.php的文件,把mysqliz.php放到/system/database/文件夹下,然后把网站根目录下的config.php和admin文件夹下的config.php中的

define(‘DB_DRIVER’, ‘mysql’);

改成

define(‘DB_DRIVER’, ‘mysqliz’);

然后刷新页面,那个php报错已经不见了。

本站提供的服务

  • wordpress主题、插件、开发、优化以及WordPress虚拟主机、VPS售卖
  • 自用Shadowsocks 服务器搭建 RMB50/次
  • VPN(PPTP&L2TP)流量出售: 5RMB/GB,10GB起售,8条台湾、美国、香港线路
    • 联系QQ:2564692806

      打赏作者
      这篇文章帮助很大,重重有赏

      您的支持将鼓励我们继续创作!

      [微信] 扫描二维码打赏

      [支付宝] 扫描二维码打赏

      正在跳转到PayPal...

female geek, creator of sscloud. keyword: php, html5+css3, python, wordpress

Leave a reply:

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Site Footer